<div class="row justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-solicitacao-heading" data-cy="SolicitacaoCreateUpdateHeading" jhiTranslate="madmApp.solicitacao.home.createOrEditLabel">
        Create or edit a Solicitacao
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="form-group" [hidden]="editForm.get('id')!.value == null">
          <label class="form-control-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.solicitacao.codSolicitacao" for="field_codSolicitacao"
            >Cod Solicitacao</label
          >
          <input
            type="text"
            class="form-control"
            name="codSolicitacao"
            id="field_codSolicitacao"
            data-cy="codSolicitacao"
            formControlName="codSolicitacao"
          />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.solicitacao.codUsuario" for="field_codUsuario">Cod Usuario</label>
          <input
            type="text"
            class="form-control"
            name="codUsuario"
            id="field_codUsuario"
            data-cy="codUsuario"
            formControlName="codUsuario"
          />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.solicitacao.tipoSolicitacao" for="field_tipoSolicitacao"
            >Tipo Solicitacao</label
          >
          <select
            class="form-control"
            name="tipoSolicitacao"
            formControlName="tipoSolicitacao"
            id="field_tipoSolicitacao"
            data-cy="tipoSolicitacao"
          >
            <option [ngValue]="null">{{ 'madmApp.TipoSolicitacao.null' | translate }}</option>
            <option *ngFor="let tipoSolicitacao of tipoSolicitacaoValues" [value]="tipoSolicitacao">
              {{ 'madmApp.TipoSolicitacao.' + tipoSolicitacao | translate }}
            </option>
          </select>
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.solicitacao.agenda" for="field_agenda">Agenda</label>
          <select class="form-control" id="field_agenda" data-cy="agenda" name="agenda" formControlName="agenda">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="agendaOption.id === editForm.get('agenda')!.value?.id ? editForm.get('agenda')!.value : agendaOption"
              *ngFor="let agendaOption of agendaCollection; trackBy: trackAgendaById"
            >
              {{ agendaOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
